%global _empty_manifest_terminate_build 0
Name:		python-google-auth-httplib2
Version:	0.1.0
Release:	1
Summary:	Google Authentication Library: httplib2 transport
License:	Apache-2.0
URL:		https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2
Source0:	https://github.com/GoogleCloudPlatform/google-auth-library-python-httplib2/archive/v%{version}/google-auth-library-python-httplib2-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-google-auth
Requires:	python3-httplib2
Requires:	python3-six

%description
This library provides an httplib2 transport for google-auth.

%package -n python3-google-auth-httplib2
Summary:	Google Authentication Library: httplib2 transport
Provides:	python-google-auth-httplib2
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-google-auth-httplib2
This library provides an httplib2 transport for google-auth.

%package help
Summary:	Development documents and examples for google-auth-httplib2
Provides:	python3-google-auth-httplib2-doc
%description help
This library provides an httplib2 transport for google-auth.

%prep
%autosetup -n google-auth-library-python-httplib2-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-google-auth-httplib2 -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jun 24 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 0.1.0-1
- Init project
